services:
    monolog.formatter.track_id:
        class: Monolog\Formatter\LineFormatter
        arguments:
            - "[%%datetime%%] [%%extra.token%%] %%channel%%.%%level_name%%: %%message%%\n"
            - "Y-m-d H:i:s"
            - true
    monolog.processor.track_id:
        class: Sso\ApiBundle\Api\Logger\TrackId
        tags:
            - { name: monolog.processor, method: processRecord }
